No package mod_ssl available

Support for security such as Firewalls and securing linux
Post Reply
saeed
Posts: 20
Joined: 2014/05/30 14:50:33

No package mod_ssl available

Post by saeed » 2014/08/05 06:47:06

Hi
Excuse me if I am posting this in the wrong forum. I am trying to create an SSL certificate for my server which has Centos 6.5 as its OS. For generating a key I need to use genkey command for which I had to install crypto-utils. Still I need to install mod_ssl for Apache. However, when I issue

Code: Select all

yum install mod_ssl
, "
No package mod_ssl available.
" is returned. I have read various tutorials about installing an SSL certificate all which ask us to install mod_ssl. But it seems there are no such packages available in Centos' repos. What should I do? Has the process of making such a certifiocate changed in Centos?

Many thnaks in advance.

User avatar
TrevorH
Forum Moderator
Posts: 29667
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: No package mod_ssl available

Post by TrevorH » 2014/08/05 08:49:49

I suspect you have something like cpanel or plesk installed, both of which add a bunch of exclude= lines to /etc/yum.conf and stop various packages from being installed. They do this because they supply their own versions of many central CentOS packages and want to stop the CentOS ones from overwriting them. Once you install a web panel like this, you have changed the way the system operates and you have to go to them to ask how to install things as the normal CentOS ways would end up breaking their other installed packages.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

saeed
Posts: 20
Joined: 2014/05/30 14:50:33

Re: No package mod_ssl available

Post by saeed » 2014/08/05 09:54:46

Hi TrevorH

thanks for replying. Yes, it is DirectAdmin. I will ask them the same question.

Post Reply

Return to “CentOS 6 - Security Support”